SDL Visual Test

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
SDL_visualtest_random_variator.h File Reference
`#include "SDL_visualtest_harness_argparser.h"`
`#include "SDL_visualtest_variator_common.h"`

Go to the source code of this file.

## Data Structures
struct | SDLVisualTest_RandomVariator

## Typedefs
typedef struct SDLVisualTest_RandomVariator | SDLVisualTest_RandomVariator

## Functions
int | SDLVisualTest_InitRandomVariator (SDLVisualTest_RandomVariator *variator, SDLVisualTest_SUTConfig *config, Uint64 seed)
char * | SDLVisualTest_GetNextRandomVariation (SDLVisualTest_RandomVariator *variator)
void | SDLVisualTest_FreeRandomVariator (SDLVisualTest_RandomVariator *variator)

## Detailed Description

Header for the random variator.

## Typedef Documentation

typedef struct SDLVisualTest_RandomVariator SDLVisualTest_RandomVariator

Struct for the variator that randomly generates variations of command line arguments to the SUT.

## Function Documentation

void SDLVisualTest_FreeRandomVariator | ( | SDLVisualTest_RandomVariator * | variator) |  |

Frees any resources associated with the variator.

char* SDLVisualTest_GetNextRandomVariation | ( | SDLVisualTest_RandomVariator * | variator) |  |

Generates a new random variation.

Returns
  The arguments string representing the random variation on success, and NULL on failure. The pointer returned should not be freed.

int SDLVisualTest_InitRandomVariator | ( | SDLVisualTest_RandomVariator * | variator,
|  | SDLVisualTest_SUTConfig * | config,
|  | Uint64 | seed
| ) |  |

Initializes the variator.

Returns
  1 on success, 0 on failure